summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts
diff options
context:
space:
mode:
authorRahul C S <rahulcs@redhat.com>2012-01-11 17:43:27 +0530
committerRahul C S <rahulcs@redhat.com>2012-01-12 11:25:13 +0530
commita05461c1ddbcdc3875b0b8aa3657d5cc75faa15e (patch)
treeb6eb6e0c6f028b638fd869b4004124ea6f86cd79 /sanity/system_light/scripts
parent254e67dbd7a35d38dbe7a5f525955adeb86f5939 (diff)
Adding fsmark tests to sanity
Change-Id: Ief7b6f884cf08321343e03758eeedb312b1fe799 Signed-off-by: Rahul C S <rahulcs@redhat.com>
Diffstat (limited to 'sanity/system_light/scripts')
-rwxr-xr-xsanity/system_light/scripts/fs_mark.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/fs_mark.sh b/sanity/system_light/scripts/fs_mark.sh
new file mode 100755
index 0000000..53404c5
--- /dev/null
+++ b/sanity/system_light/scripts/fs_mark.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+function main ()
+{
+
+ echo "start: `date +%T`"
+
+ for i in `seq 1 6`
+ do
+ time fs_mark -d . -D SUBDIR_COUNT -t THR_COUNT -S $i 2>>$LOG_FILE 1>>$LOG_FILE
+ if [ $? -ne 0 ]; then
+ echo "end:`date +%T`";
+ return 11;
+ fi
+ done
+
+ echo "end:`date +%T`";
+ return 0;
+}
+
+main "$@";